.box {
  background-color: $box-bg-color;
  border-width: $box-border-width;
  border-style: $box-border-style;
  border-color: $box-border-color;
  border-radius: $box-radius;
  text-align: left;
  margin-bottom: $box-m-b;
  padding: $box-padding;
  width: 100%;
  &.box-overflow {
    overflow-y: auto;
  }
  &.transparent { background-color: transparent; }
  &.no-padding {
    padding-right: 0;
    padding-left: 0;
  }
  .box-header {
    @extend %flexbox;
    @include flex-direction(column);
    padding: $box-header-p-t $box-header-p-r $box-header-p-b $box-header-p-l;
    border-bottom: $box-header-border;
    @media (min-width: 1025px) {
      @include flex-direction(row);
      @include justify-content(space-between);
      @include align-items(center);
    }
    &.box-header-sticky {
      position: -webkit-sticky;
      position: sticky;
      z-index: 999;
      padding-top: 6px;
      top: -$box-padding-p-t;
      background: #fff;
    }
    .box-header-titles {
      .box-title {
        font-size: $box-title-size;
        font-weight: $box-title-weight;
        color: $box-title-color;
        text-transform: uppercase;
      }
      + .btn-group {
        order: -1;
        margin-bottom: 20px;
        @media (min-width: 1025px) {
          margin-bottom: 0;
          margin-left: 14px;
          order: 0;
        }
      }
    }
    .btn-group {
      width: auto;
      a, button, div {
        margin-bottom: 0;
      }
    }
  }
  .box-content {
    @extend %flexbox;
    @include flex-direction(column);
    @include align-items(flex-start);
    padding: $box-padding;
    .box-content-title {
      font-weight: bold;
      &.big-title {
        font-size: 24px;
      }
    }
  }
}

.login .box {
  box-shadow: $login-box-shadow;
  border-radius: $login-box-radius;
  width: $login-box-width;
  color: $login-box-color;
  background-color: $login-box-bg-color;
  border: $login-box-border;
  padding: 0;
  @include flex(none);
  .box-header {
    @include flex-direction(column);
    padding: $login-box-header-padding;
    border-bottom: none;
    h1 {
      @include flex(1);
      font-size: $login-title-size;
      font-weight: 600;
      text-align: center;
      margin: 0;
    }
    .separator {
      width: $login-separator-width;
      height: $login-separator-height;
      background: $login-separator-color;
      margin: $login-separator-margin;
    }
    .logo {
      @include media-breakpoint-down(xs) {
        width: $login-mobile-logo-width;
        height: $login-mobile-logo-height;
        background-image: $login-mobile-logo-url;
        background-repeat: $login-mobile-logo-repeat;
        background-position: $login-mobile-logo-position;
        margin: $login-mobile-logo-margin;
        background-size: $login-mobile-logo-size;
      }
      @include media-breakpoint-up(sm) {
        width: $login-desktop-logo-width;
        height: $login-desktop-logo-height;
        background-image: $login-desktop-logo-url;
        background-repeat: $login-desktop-logo-repeat;
        background-position: $login-desktop-logo-position;
        margin: $login-desktop-logo-margin;
        background-size: $login-desktop-logo-size;
      }
    }
  }
  .box-content {
    padding: $login-box-content-padding;
    .btn-primary {
      border: $login-btn-primary-border;
      background-color: $login-btn-primary-bg-color;
      border-radius: $login-btn-primary-radius;
      color: $login-btn-primary-color;
      padding: $login-btn-primary-padding;
      margin: $login-btn-primary-margin;
    }
    .btn-link {
      color: $login-btn-link-color;
    }
    p {
      margin-top: 0;
      margin-bottom: 50px;
    }
    form {
      .field {
        margin: $login-field-margin;
      }
      label {
        font-size: $login-label-size;
        margin: $login-label-margin;
        i {
          font-size: $login-label-icon-size;
        }
      }
      input, textarea, select, .Select .Select-value {
        font-size: $login-input-size;
        border-width: $login-input-border-width;
        border-style: $login-input-border-style;
        border-color: $login-input-border-color;
        background-color: $login-input-bg-color;
        border-radius: $login-input-radius;
        color: $login-input-color;
        padding: $login-input-padding;
        &::-webkit-input-placeholder { color: $login-input-placeholder-color; }
        &::-moz-placeholder { color: $login-input-placeholder-color; }
        &:-ms-input-placeholder { color: $login-input-placeholder-color; }
        &:-moz-placeholder { color: $login-input-placeholder-color; }
        &:-webkit-autofill { -webkit-box-shadow: 0 0 0px 1000px white inset; }
        &:focus {
          border-width: $login-input-focus-border-width;
          border-style: $login-input-focus-border-style;
          border-color: $login-input-focus-border-color;
        }
      }
      input:focus + label {
        color: $login-label-focus-color;
      }
      .field-error {
        color: $login-input-color;
        i {
          margin-top: 0;
          top: $login-input-error-icon-top;
          color: $login-input-color;
          font-size: $login-input-error-icon-size;
        }
        + input,
        + textarea,
        + select,
        + .Select {
          &+ label {
            color: $login-label-error-color;
          }
        }
      }
    }
  }
}

.edition .box {
  background-color: rgba(#fff, .6);
}
